#### get_associated_executor (2 of 3 overloads)

Helper function to obtain an object's associated executor.

    template<
        typename T,
        typename Executor>
    associated_executor< T, Executor >::type get_associated_executor(
        const T & t,
        const Executor & ex,
        typename constraint< is_executor< Executor >::value||execution::is_executor< Executor >::value >::type  = 0);

###### Return Value

`associated_executor<T, Executor>::get(t, ex)`